classification
Title: Document that audioop works with bytes, not strings
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: docs@python, python-dev, serhiy.storchaka, terry.reedy
Priority: normal Keywords: patch

Created on 2012-12-14 17:27 by serhiy.storchaka, last changed 2012-12-27 18:54 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
audioop_docs_bytes.patch serhiy.storchaka, 2012-12-14 17:28 review
Messages (3)
msg177474 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-12-14 17:27
The audioop module documentation says that functions works with Python strings. This was right in 2.x, but in 3.x here should be bytes objects (actually the functions accept strings too, but this is an implementation detail, meaningless in general).
msg177906 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2012-12-21 22:59
Patch looks good to me, all three occurrences of 'string' are fixed.
msg178309 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-12-27 18:51
New changeset cd2b4074a2d9 by Serhiy Storchaka in branch '3.2':
Issue #16682: Replace "Python string" to "bytes object" in audioop documentation.
http://hg.python.org/cpython/rev/cd2b4074a2d9

New changeset e8248e597060 by Serhiy Storchaka in branch '3.3':
Issue #16682: Replace "Python string" to "bytes object" in audioop documentation.
http://hg.python.org/cpython/rev/e8248e597060

New changeset f68aeab64356 by Serhiy Storchaka in branch 'default':
Issue #16682: Replace "Python string" to "bytes object" in audioop documentation.
http://hg.python.org/cpython/rev/f68aeab64356
History
Date User Action Args
2012-12-27 18:54:15serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: commit review -> resolved
2012-12-27 18:51:01python-devsetnosy: + python-dev
messages: + msg178309
2012-12-27 17:27:27serhiy.storchakasetassignee: docs@python -> serhiy.storchaka
2012-12-21 22:59:13terry.reedysetnosy: + terry.reedy

messages: + msg177906
stage: patch review -> commit review
2012-12-14 21:51:59serhiy.storchakalinkissue16685 dependencies
2012-12-14 17:28:25serhiy.storchakasetfiles: + audioop_docs_bytes.patch
keywords: + patch
2012-12-14 17:27:44serhiy.storchakacreate